Bug 1644178

Summary: python2-openstackclient ships unnecessary executables, the package should be removed
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-openstackclientAssignee: Miro Hrončok <mhroncok>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jpena, jruzicka
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-openstackclient-3.14.1-6.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-07 13:04:02 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1625773    

Description Miro Hrončok 2018-10-30 07:14:42 UTC
$ dnf repoquery --repo=rawhide -l python2-openstackclient | grep bin
/usr/bin/openstack
/usr/bin/openstack-2
/usr/bin/openstack-2.7

$ dnf repoquery --repo=rawhide -l python3-openstackclient | grep bin
/usr/bin/openstack-3
/usr/bin/openstack-3.7


With the line of the https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal change I'd like to know:

What is the difference for the users, if they run openstack-2 or openstack-3? Does the Python version matter here? Note that the guidelines say:

> If the executables provide the same functionality independent of whether they are run on top of Python 2 or Python 3, then only the Python 3 version of the executable SHOULD be packaged, the python2 version MUST NOT be packaged.

Nothing in Fedora requires python2-openstackclient, so I'd like to drop it.
However I like to know the answers of the above questions first.

If the answer is "no difference", please drop the package.

Comment 1 Miro Hrončok 2018-11-06 23:28:13 UTC
I'll assume the removal is OK.

Comment 2 Javier Peña 2018-11-07 08:55:34 UTC
There is no difference between the Python 2 and Python 3 binaries, so it is ok to remove python2-openstackclient.

Comment 3 Miro Hrončok 2018-11-07 10:58:03 UTC
Thanks, Javier.

Comment 4 Miro Hrončok 2018-11-07 13:04:02 UTC
python2 subpackage removed.